XMPP的libidn.a真机测试错误arm64

[复制链接]
90 8
我在做一款xmpp协议的即时聊天软件,但是真机测试的时候报错,ld: '/Users/dell/Desktop/NGChat/NGChat/Classes/Lib/XMPP/Vendor/libidn/libidn.a(stringprep.o)' does not contain bitcode. You must rebuild it with bitcode enabled (Xcode setting ENABLE_BITCODE), obtain an updated library from the vendor, or disable bitcode for this target. for architecture arm64,求大神帮忙,万分感谢!

举报 使用道具

回复

8 个评论

venusjinxin  新手上路  发表于 2018-5-14 18:54:09  | 显示全部楼层
感谢大神,因为目前条件原因,我只能选择真机包添加,您能告诉我如何添加么?或者有什么教程链接,新手,第一次用mac不是很懂,感谢大神,万分感谢

举报 使用道具

回复
hjwman  新手上路  发表于 2018-5-14 22:32:49  | 显示全部楼层
感谢感谢大神,完美搞定,感谢感谢

举报 使用道具

回复
lin199248  注册会员  发表于 2018-5-15 01:33:56  | 显示全部楼层
我在做一款xmpp协议的即时聊天软件,但是真机测试的时候报错,ld: '/Users/dell/Desktop/NGChat/NGChat/Classes/Lib/XMPP/Vendor/libidn/libidn.a(stringprep.o)' does not contain bitcode. You must rebuild it with bitcode enabled (Xcode setting ENABLE_BITCODE), obtain an updated library from the vendor, or disable bitcode for this target. for architecture arm64,求大神帮忙,万分感谢!

举报 使用道具

回复
mkabcd  新手上路  发表于 2018-5-15 01:38:27  | 显示全部楼层
感谢感谢大神,完美解决,但是运行还出了一个报错,This iPhone 6s Plus is running iOS 11.3 (15E216), which may not be supported by this version of Xcode.

举报 使用道具

回复
daguo  新手上路  发表于 2018-5-15 01:47:25  | 显示全部楼层
第二个问题,Xcode 版本太低,比手机的iOS系统低。要么换台iOS版本低的手机,要么升级Xcode, 要么找到对应的真机包添加。

举报 使用道具

回复
qshenleiq  新手上路  发表于 2018-5-15 02:09:58  | 显示全部楼层
bitcode 关了试试?

举报 使用道具

回复
furfur2009  新手上路  发表于 2018-5-15 02:37:49  | 显示全部楼层
首先下载自己需要的包,Finder ,点击应用程序,选中xcode,右键显示包内容, Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport,这个是相对应的路径,放到这里面就好了。
相关下载地址

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x

举报 使用道具

回复
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

ios.irunthink.com
搜索
热搜: iOS swift 下拉刷新

图文热点

更多

开发教程

更多

客服中心

400-800 周一至周日 9:30-17:30 仅收市话费

关注我们

  • 微信扫描
  • 关注微信
关于我们
关于我们
友情链接
联系我们
帮助中心
精贴推荐
源码上传
注册登录
服务支持
资源下载
关注我们
官方微博
官方空间
快速回复 返回顶部 返回列表